Loading...
Searching...
No Matches
solverregistry.hh File Reference
`#include <dune/istl/common/registry.hh>`
`#include <dune/istl/preconditioner.hh>`
`#include <dune/istl/solver.hh>`

Go to the source code of this file.

## Classes

class | Dune::NoAssembledOperator
| This exception is thrown if the requested solver or preconditioner needs an assembled matrix. More...
class | Dune::UnsupportedType
class | Dune::InvalidSolverFactoryConfiguration

## Namespaces

namespace | Dune

## Macros

#define | DUNE_REGISTER_PRECONDITIONER(name, ...)
#define | DUNE_REGISTER_SOLVER(name, ...)

## Functions

template<template< class, class, class, int >class Preconditioner, int blockLevel = 1>
auto | Dune::defaultPreconditionerBlockLevelCreator ()
template<template< class, class, class >class Preconditioner>
auto | Dune::defaultPreconditionerCreator ()
template<template< class... >class Solver>
auto | Dune::defaultIterativeSolverCreator ()

## Macro Definition Documentation

## DUNE_REGISTER_PRECONDITIONER

#define DUNE_REGISTER_PRECONDITIONER | ( |  | name,
|  |  | ... )

Value:
DUNE_REGISTRY_PUT(PreconditionerTag, name, __VA_ARGS__)
DUNE_REGISTRY_PUT
#define DUNE_REGISTRY_PUT(Tag, id,...)
Definition registry.hh:18

## DUNE_REGISTER_SOLVER

#define DUNE_REGISTER_SOLVER | ( |  | name,
|  |  | ... )

Value:
DUNE_REGISTRY_PUT(SolverTag, name, __VA_ARGS__)